All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.expr.relational
Class TimeShiftAlignment

    com.sas.iquery.metadata.expr.relational.TimeShiftAlignment

    public class TimeShiftAlignment

Models the alignment of the ending date in a `AbstractRelativeTimeValueExpression`. Controls the position of a relative date expression within an interval. The TimeShiftAlignment can be one of these values:

- BEGINNING_OF specifies that date value is aligned to the beginning of the interval.
- MIDDLE_OF specifies that date value is aligned to the midpoint of the interval.
- END_OF specifies that date value is aligned to the end of the interval.
- NONE specifies that date value is aligned to the same calendar date within the interval.

Field Summary
`static TimeShiftAlignment` | `BEGINNING_OF` TimeShiftAlignment object representing startingAlignment to the beginning.
`static TimeShiftAlignment` | `END_OF` TimeShiftAlignment object representing end startingAlignment.
`static TimeShiftAlignment` | `MIDDLE_OF` TimeShiftAlignment object representing middle startingAlignment.
`static TimeShiftAlignment` | `NONE` TimeShiftAlignment object representing no startingAlignment.

Method Summary
`static java.util.List` | `getValues()` Get this list of supported types.

Field Detail

*** This field is subject to change. ***

### NONE

    public static final TimeShiftAlignment NONE

  TimeShiftAlignment object representing no startingAlignment. This is output as "none" for persistence and "sameday" for query text.

*** This field is subject to change. ***

### BEGINNING_OF

    public static final TimeShiftAlignment BEGINNING_OF

  TimeShiftAlignment object representing startingAlignment to the beginning. This is output as "beginning" for persistence and "beginning" for query text.

*** This field is subject to change. ***

### MIDDLE_OF

    public static final TimeShiftAlignment MIDDLE_OF

  TimeShiftAlignment object representing middle startingAlignment. This is output as "middle" for persistence and "middle" for query text.

*** This field is subject to change. ***

### END_OF

    public static final TimeShiftAlignment END_OF

  TimeShiftAlignment object representing end startingAlignment. This is output as "end" for persistence and "end" for query text.

Method Detail

*** This method is subject to change. ***

### getValues

    public static java.util.List getValues()

  Get this list of supported types.

  Returns:
    copy (modifyable) of the internal list of types.

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.